
CoCoALib - Feature #813

Implement "elim" in CoCoALib

23 Nov 2015 11:39 - Anna Maria Bigatti

Status: Feedback Start date: 23 Nov 2015

Priority: Immediate Due date:  

Assignee: Anna Maria Bigatti % Done: 90%

Category: New Function Estimated time: 3.00 hours

Target version: CoCoALib-0.99880 Spent time: 1.30 hour

Description

In CoCoALib we have member function myElim.

Choose and implement the "proper" function.

Related issues:

Related to CoCoALib - Design #1326: Modify function myElim so that it returns... Closed 03 Oct 2019

History

#1 - 30 Sep 2016 13:31 - John Abbott

This should be easy once elim orderings are properly implemented, right?

#2 - 22 May 2017 14:10 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.99560

- % Done changed from 0 to 10

- Estimated time set to 3.00 h

There is myElim.  Maybe I meant making a function?

Easy, anyway.

#3 - 22 May 2017 14:24 - John Abbott

I do not understand: "closed" but progress is 10%.

Also your last comment suggests that there is still some design issue to discuss (namely creating a fn elim)

Puzzled.

#4 - 22 May 2017 14:45 - Anna Maria Bigatti

- Status changed from Closed to In Progress

John Abbott wrote:

I do not understand: "closed" but progress is 10%.

Also your last comment suggests that there is still some design issue to discuss (namely creating a fn elim)

 

mistake (at first I misunderstood myself)
#5 - 06 Nov 2017 14:14 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#6 - 01 Aug 2018 11:30 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#7 - 30 Apr 2019 11:51 - John Abbott

- Priority changed from Normal to Urgent

It would be nice to complete this before the next release!  To this end, I have increased the priority...

#8 - 01 Oct 2019 12:07 - John Abbott

- Priority changed from Urgent to Immediate

I have increased this to max priority because I believe it is trivial to achieve, and it would be nice to close the issue soon.

#9 - 03 Oct 2019 17:18 - Anna Maria Bigatti

- Related to Design #1326: Modify function myElim so that it returns ideal?  (not quite) added

#10 - 04 Oct 2019 16:05 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

Choose the syntax first...

#11 - 12 Feb 2020 09:36 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#12 - 04 Feb 2022 22:10 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#13 - 16 Feb 2024 18:05 - John Abbott

The syntax should be compatible with whatever we use for ElimMat, I presume.

Well, there is an important difference: for ElimMat we do not yet have the indets, whereas they do exist when we call elim.

#14 - 16 Feb 2024 18:07 - Anna Maria Bigatti

- Description updated

#15 - 08 Mar 2024 17:37 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#16 - 18 Mar 2024 15:22 - Anna Maria Bigatti

- % Done changed from 10 to 90

See #1326#note-10 for discussion about elim(I,X) vs elim(X,I).

Apart from this, we should only add some tests in CoCoALib.

#17 - 18 Mar 2024 15:58 - Anna Maria Bigatti

- Status changed from In Progress to Feedback
https://cocoa.dima.unige.it/redmine/issues/1326#note-10


I activated a test (slightly simplified test7 in test-GOperation1.C).
